> Documentation index for AI agents: https://docs.pagerduty.com/llms.txt

# List Integrations for an Event Orchestration

`GET https://api.pagerduty.com/event_orchestrations/{id}/integrations`

List the Integrations associated with this Event Orchestrations.

You can use a Routing Key from these Integrations to send events to PagerDuty!

For more information see the [API Concepts Document](https://docs.pagerduty.com/developer/api-concepts#event-orchestrations)

Scoped OAuth requires: `event_orchestrations.read`

## Authorization

- **api_key** (apiKey) — `Authorization` header. The API Key with format `Token token=<API_KEY>`

## Path parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `id` | string | yes | The ID of an Event Orchestration. |

## Header parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `Accept` | string | yes | The `Accept` header is used as a versioning header. Default: `application/vnd.pagerduty+json;version=2`. |

## Response 200

The Integrations for this Event Orchestration.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `integrations` | array of object |  |  |
| `integrations[].id` | string |  | ID of the Integration. Read-only. |
| `integrations[].label` | string |  | Name of the Integration. |
| `integrations[].parameters` | object |  | Read-only. |
| `integrations[].parameters.routing_key` | string |  | Routing Key used to send Events to this Orchestration. Read-only. |
| `integrations[].parameters.type` | string |  | Read-only. Default: `global`. |
| `total` | integer \| null |  | The total number of records matching the given query. Read-only. |

Example: Response Example

```json
{
  "integrations": [
    {
      "id": "9c5ff030-12da-4204-a067-25ee61a8df6c",
      "label": "Go-Kart Orchestration Default Integration",
      "parameters": {
        "routing_key": "R022XIJR9M266DX570EVE6EXP1AFBN6D",
        "type": "global"
      }
    },
    {
      "id": "11832872-88b6-4661-8972-db5712b69496",
      "label": "Integration for Monitoring Tool X",
      "parameters": {
        "routing_key": "R028DIE06SNKNO6V5ACSLRV7Y0TUVG7T",
        "type": "global"
      }
    }
  ],
  "total": 2
}
```

## Response 400

Caller provided invalid arguments. Please review the response for error details. Retrying with the same arguments will *not* work.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 401

Caller did not supply credentials or did not provide the correct credentials.
If you are using an API key, it may be invalid or your Authorization header may be malformed.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 403

Caller is not authorized to view the requested resource.
While your authentication is valid, the authenticated user or token does not have permission to perform this action.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 405

The request was received and recognized by the server, but its HTTP method was rejected for the requested resource.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Developer Agreement

Your access to and use of the PagerDuty Developer Services is governed by the [PagerDuty Developer Agreement](https://docs.pagerduty.com/developer/pagerduty-developer-agreement).
